.grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(var(--grid-col-min-size-calc), 1fr));
    gap: var(--grid-gap);
    align-items: start;
    justify-content: start;
    align-content: start;
    width: 90vw;
    max-width: var(--grid-max);
    margin: 0 auto;
    /*margin-block: var(--s5);*/
}

.grid-full {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(var(--grid-col-min-size-calc), 1fr));
    align-items: start;
    justify-content: start;
    align-content: start;
    width: 100vw;
    margin: 0 auto;
    /*margin-block: var(--s5);*/
}



.brand-family * {
    align-self: center;
    justify-self: center;
}

.grid.SLT hr {
    grid-column: 1 / -1;
    padding-top: 3rem;
    padding-bottom: 3rem;
    width: 100%;
    border: none;
    border-bottom: 1px solid var(--color-motion-orange);
}



.filter-grid {
    display: grid;
    grid-template-columns: 250px 1fr;
    gap: var(--grid-gap);
    align-items: start;
    justify-content: start;
    align-content: start;
    width: 90vw;
    max-width: var(--grid-max);
    margin: 0 auto;
}

.header-grid {
    width: 90vw;
    max-width: var(--grid-max);
    align-items: end;
    grid-template-columns: 1fr;
    grid-template-rows: 1fr;
    gap: var(--s1);
    height: 48dvh;
    position: absolute;
    top: 0;
    left: 50%;
    transform: translateX(-50%);
    z-index: 99;
    margin-block: unset !important;
}

    .header-grid h1 {
        color: light-dark(var(--color-motion-grey), var(--color-light));
    }

.subgrid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(var(--grid-col-min-size-calc), 1fr));
    gap: var(--grid-gap);
    align-items: start;
    justify-content: start;
    align-content: start;
}

.grid.one-column {
    width: 90vw;
    max-width: var(--grid-max);
    align-items: center;
    justify-content: center;
    align-content: center;
    grid-template-columns: 1fr;
    gap: var(--s0);
    margin: 0 auto;
}

    .grid.one-column model-viewer {
        width: 90vw;
        max-width: calc(var(--grid-max) - 5rem);
        margin: 0 auto;
    }

.grid.search {
    width: 90vw;
    max-width: var(--grid-max);
    align-items: center;
    justify-content: center;
    align-content: center;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: var(--s0);
}

    /*.grid.news, .grid.products {
    gap: 1rem;
    row-gap: 1rem;
}*/


    .grid.search > div:first-child {
        grid-column: span 6;
    }

.grid.one-column.right {
    justify-items: end;
}

.grid.one-column.center {
    justify-items: center;
}

.grid.one-column .center > svg{
    width: 90vw;
    max-width: Calc(var(--grid-max)/1.5);
}

.grid .center {
    justify-self: center;
}



.grid.two-columns, .long-form-grid.two-columns {
    --grid-max-col-count: 2;
    --grid-min-col-size: 250px;
    --grid-col-size-calc: calc((100% - var(--grid-gap) * var(--grid-max-col-count)) / var(--grid-max-col-count));
    --grid-col-min-size-calc: max(var(--grid-min-col-size), var(--grid-col-size-calc));
}

.grid.three-columns {
    --grid-max-col-count: 3;
    --grid-min-col-size: 250px;
    --grid-col-size-calc: calc((100% - var(--grid-gap) * var(--grid-max-col-count)) / var(--grid-max-col-count));
    --grid-col-min-size-calc: max(var(--grid-min-col-size), var(--grid-col-size-calc));
}

.grid.four-columns {
    --grid-max-col-count: 4;
    --grid-min-col-size: 250px;
    --grid-col-size-calc: calc((100% - var(--grid-gap) * var(--grid-max-col-count)) / var(--grid-max-col-count));
    --grid-col-min-size-calc: max(var(--grid-min-col-size), var(--grid-col-size-calc));
}

.grid.five-columns {
    --grid-max-col-count: 5;
    --grid-min-col-size: 250px;
    --grid-col-size-calc: calc((100% - var(--grid-gap) * var(--grid-max-col-count)) / var(--grid-max-col-count));
    --grid-col-min-size-calc: max(var(--grid-min-col-size), var(--grid-col-size-calc));
}

.grid-full.four-columns {
    --grid-max-col-count: 4;
    --grid-min-col-size: 250px;
    --grid-col-size-calc: calc((100% - var(--grid-gap) * var(--grid-max-col-count)) / var(--grid-max-col-count));
    --grid-col-min-size-calc: max(var(--grid-min-col-size), var(--grid-col-size-calc));
}

.keyfigures div {
    justify-self: center;
    justify-content: center;
    justify-items: center;
    text-align: center;
}

.keyfigures svg {
    height: 50px;
}

.long-form {
    width: 90vw;
    /*max-width: var(--grid-max);*/
    max-width: var(--measure);
    margin: 0 auto;
    background-color: light-dark(var(--color-light),var(--color-dark));
    color: light-dark(var(--color-motion-grey),var(--color-light));
    margin-block: var(--s5);
}

    .long-form img:nth-of-type(1) {
        float: left;
        margin-inline-start: -50%;
    }

    .long-form img:nth-of-type(2) {
        float: right;
        margin-inline-end: -50%;
    }

.long-form-grid {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(var(--grid-col-min-size-calc), 1fr));
    gap: var(--grid-gap);
    align-items: start;
    justify-content: start;
    align-content: start;
    width: 90vw;
    max-width: var(--grid-max);
    margin: 0 auto;
    margin-block: var(--s5);
}

    /*    .long-form > p {
        max-width: unset !important;
    }*/

    .long-form > img, .long-form-grid img {
        shape-image-threshold: .5;
        shape-margin: 5rem;
        margin-block: 2rem;
        overflow-x: hidden;
    }

    .long-form-grid.picture-right img {
        float: right;
        margin-inline-end: -50%;
    }

    .long-form-grid.picture-left img {
        float: left;
        margin-inline-start: -50%;
    }


.full-width-split {
    --grid-max-col-count: 2;
    /*--grid-min-col-size: 500px;*/
    --grid-min-col-size: min(500px, 50vw);
    --grid-col-size-calc: calc((100% - var(--grid-gap) * var(--grid-max-col-count)) / var(--grid-max-col-count));
    --grid-col-min-size-calc: max(var(--grid-min-col-size), var(--grid-col-size-calc));
    row-gap: var(--grid-gap);
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(var(--grid-col-min-size-calc), 1fr));
}

    .full-width-split > img {
        aspect-ratio: 16/9;
        object-fit: cover;
        width: 100vw;
        max-height: 50vh;
    }

    .full-width-split > div:first-child {
        padding-left: clamp(var(--grid-gap), calc((100vw - var(--grid-max)) / 2), calc((100vw - var(--grid-max)) / 2));
        padding-right: var(--grid-gap);
    }

    .full-width-split > div:last-child {
        padding-right: clamp(var(--grid-gap), calc((100vw - var(--grid-max)) / 2), calc((100vw - var(--grid-max)) / 2));
        padding-left: var(--grid-gap);
    }


.full-width-split-bleed {
    --grid-max-col-count: 2;
    --grid-min-col-size: 500px;
    --grid-col-size-calc: calc((100% - var(--grid-gap) * var(--grid-max-col-count)) / var(--grid-max-col-count));
    --grid-col-min-size-calc: max(var(--grid-min-col-size), var(--grid-col-size-calc));
    row-gap: var(--grid-gap);
    display: grid;
    align-items: center;
    grid-template-columns: repeat(auto-fit, minmax(var(--grid-col-min-size-calc), 1fr));
}

    .full-width-split-bleed > img {
        aspect-ratio: 16/9;
        object-fit: contain;
        width: 100%;
    }

    .full-width-split-bleed > div:first-child {
        padding-left: 22vw;
        padding-right: 12vw;
    }

    .full-width-split-bleed > div:last-child {
        padding-right: 22vw;
        padding-left: 12vw;
    }

.bleed-left {
    position: relative;
    margin-left: -10vw;
    z-index: -1;
    padding-left: 10vw;
    padding-right: 5vw;
    background-color: light-dark(var(--color-motion-grey),var(--color-light));
    color: light-dark(var(--color-light),var(--color-motion-grey));
}

.bleed-right {
    position: relative;
    margin-right: -10vw;
    z-index: -1;
    padding-right: 10vw;
    padding-left: 5vw;
    background-color: light-dark(var(--color-motion-grey),var(--color-light));
    color: light-dark(var(--color-light),var(--color-motion-grey));
}

.glass {
    border: solid 1px rgba(255, 255, 255, 0.1);
    box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.1);
    background: transparent !important;
    color: light-dark(var(--color-motion-grey),var(--color-light));
    &::before

{
    content: '';
    position: absolute;
    top: 0px;
    left: 0;
    width: 100%;
    height: 0;
    border-width: 1px;
    border-style: solid;
    border-image-source: linear-gradient(90deg, rgba(232, 111, 58, 0) 0%, rgba(250, 255, 255, 0.5) 53.5%, rgba(232, 111, 58, 0) 100%);
    border-image-slice: 1;
    z-index: 2;
    padding: 0;
    margin: 0;
}

&::after {
    content: '';
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 0;
    border-width: 1px;
    border-style: solid;
    border-image-source: linear-gradient(90deg, rgba(232, 111, 58, 0) 0%, rgba(250, 255, 255, 0.5) 53.5%, rgba(232, 111, 58, 0) 100%);
    border-image-slice: 1;
    z-index: 2;
}

}



.with-bleed img {
    aspect-ratio: unset;
    object-fit: scale-down;
    width: 100%;
}

.radiused {
    border-radius: 25px;
}



/* force a new row */
.new-row {
    grid-column: 1;
}

/* spanning columns */
.span {
    grid-column: 1 / -1;
}

.span-2 {
    grid-column: span 2;
}

.span-3 {
    grid-column: span 3;
}

.span-4 {
    grid-column: span 4;
}

.grid .end {
    justify-self: end;
}


/* Bento Box Layout Section */


.bento-section .blob {
    position: absolute;
    background: radial-gradient(64.5947% 78.6119% at 50.1416% 84.4193%, rgba(249, 172, 129, 0) 0%, var(--color-motion-teal) 43.5%, rgba(241, 73, 36, 0) 100%), radial-gradient(64.5947% 78.6119% at 50.1416% 84.4193%, rgba(249, 172, 129, 0) 0%, rgb(255,255,255) 43.5%, rgba(241, 73, 36, 0) 100%);
    filter: blur(100px);
    z-index: -1;
    top: 0;
    left: 0;
    width: 50%;
    height: 25%;
    opacity: .5;
}

.bento-section .blob2 {
    position: absolute;
    background: radial-gradient(64.5947% 78.6119% at 50.1416% 84.4193%, rgba(249, 172, 129, 0) 0%, var(--color-motion-orange) 43.5%, rgba(241, 73, 36, 0) 100%);
    filter: blur(50px);
    z-index: -1;
    top: 50vh;
    left: 50vw;
    width: 50%;
    height: 25%;
    opacity: .2;
}


/* Bento Grid */
.bento-grid {
    display: grid;
    grid-template-columns: repeat(12, 1fr);
    gap: var(--grid-gap);
    grid-auto-flow: row dense;
    grid-auto-rows: minmax(100px, auto);
    width: 90vw;
    max-width: var(--grid-max);
    margin: 0 auto;
    container-type: inline-size;
}


/* Glassmorphism Card Base */
.bento-card {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    border: solid 1px rgba(255, 255, 255, 0.1);
    box-shadow: 0 8px 32px 0 rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

    .bento-card .glow-top {
        position: absolute;
        top: 0;
        left: 0;
        width: 100%;
        border-width: 1px;
        border-style: solid;
        border-image-source: linear-gradient(90deg, rgba(232, 111, 58, 0) 0%, rgba(250, 255, 255, 0.5) 25%, rgba(232, 111, 58, 0) 100%);
        border-image-slice: 1;
    }

    .bento-card .glow-bottom {
        position: absolute;
        bottom: 0;
        left: 0;
        width: 100%;
        border-width: 1px;
        border-style: solid;
        border-image-source: linear-gradient(90deg, rgba(232, 111, 58, 0) 0%, rgba(250, 255, 255, 0.5) 75%, rgba(232, 111, 58, 0) 100%);
        border-image-slice: 1;
    }


        .bento-card .glow-bottom::before {
            content: '';
            position: absolute;
            bottom: 0;
            left: 0;
            background: radial-gradient(64.5947% 78.6119% at 50.1416% 84.4193%, rgba(255, 255, 255, 0) 0%, rgb(255, 255, 255) 43.5%, rgba(255, 255, 255, 0) 100%);
            filter: blur(100px);
            border-radius: 100%;
            opacity: .8;
            width: 80%;
            height: 50px;
        }


/* Bento Card Sizes */
/* Squares */
.bento-two-x-two {
    grid-area: span 2 / span 2;
}

.bento-three-x-three {
    grid-area: span 3 / span 3;
}

.bento-four-x-four {
    grid-area: span 4 / span 4;
}

.bento-six-x-six {
    grid-area: span 6 / span 6;
}


/* Horizontal rectangles */
.bento-three-x-two {
    grid-area: span 2 / span 3;
}

.bento-four-x-two {
    grid-area: span 2 / span 4;
}

.bento-four-x-three {
    grid-area: span 3 / span 4;
}

.bento-six-x-two {
    grid-area: span 2 / span 6;
}

.bento-six-x-three {
    grid-area: span 3 / span 6;
}

.bento-six-x-four {
    grid-area: span 4 / span 6;
}


/* Vertical rectangles */
.bento-two-x-three {
    grid-area: span 3 / span 2;
}

.bento-two-x-four {
    grid-area: span 4 / span 2;
}

.bento-two-x-six {
    grid-area: span 6 / span 2;
}

.bento-three-x-four {
    grid-area: span 4 / span 3;
}

.bento-three-x-six {
    grid-area: span 6 / span 3;
}

.bento-four-x-six {
    grid-area: span 6 / span 4;
}




/* Image Wrapper with Gradient Fade */
.bento-image-wrapper {
    position: relative;
    flex-shrink: 0;
    transition: all 0.5s ease;
}


.bento-card img, .bento-card picture {
    aspect-ratio: 16 / 9;
    object-fit: cover;
    mask-image: linear-gradient(black 70%, transparent 100%);
    mask-size: 100% 100%;
    mask-repeat: no-repeat;
}

.bento-card:hover .bento-image-wrapper {
    transform: scale(1.05);
}

/* Content */
.bento-content {
    position: relative;
    z-index: 3;
    padding: 2rem;
    /*font-size: var(--s0) !important;*/
    color: light-dark(var(--color-motion-grey), var(--color-light));
}

.bento-card:not(:has(.bento-image-wrapper)) .bento-content {
    height: 100%;
    display: flex;
    flex-direction: column;
}

.bento-card:not(:has(.bento-content)) .bento-image-wrapper {
    width: 100%;
    height: 100%;
}

.bento-card:not(:has(.bento-content)) img,
.bento-card:not(:has(.bento-content)) picture {
    width: 100%;
    height: 100%;
    aspect-ratio: unset;
    object-fit: cover;
    mask-image: none !important;
}

.bento-details {
    margin-top: 1rem;
    padding-top: 1rem;
    border-top: 1px solid rgba(255, 255, 255, 0.3);
}




/* Responsive Layout */
@media (max-width: 1200px) {

    .bento-two-x-two {
        grid-area: span 2 / span 4;
    }

    .bento-three-x-three {
        grid-area: span 2 / span 6;
    }

    .bento-four-x-four {
        grid-area: span 2 / span 8;
    }

    .bento-six-x-six {
        grid-area: span 2 / span 12;
    }

    /* Horizontal rectangles */
    .bento-three-x-two {
        grid-area: span 2 / span 3;
    }

    .bento-four-x-two {
        grid-area: span 2 / span 4;
    }

    .bento-four-x-three {
        grid-area: span 3 / span 4;
    }

    .bento-six-x-two {
        grid-area: span 2 / span 6;
    }

    .bento-six-x-three {
        grid-area: span 3 / span 6;
    }

    .bento-six-x-four {
        grid-area: span 4 / span 6;
    }


    /* Vertical rectangles */
    .bento-two-x-three {
        grid-area: span 3 / span 2;
    }

    .bento-two-x-four {
        grid-area: span 4 / span 2;
    }

    .bento-two-x-six {
        grid-area: span 6 / span 2;
    }

    .bento-three-x-four {
        grid-area: span 4 / span 3;
    }

    .bento-three-x-six {
        grid-area: span 6 / span 3;
    }

    .bento-four-x-six {
        grid-area: span 6 / span 4;
    }

    /*
    .bento-card:not(:has(.bento-image-wrapper)) {
         grid-column: span 9; 
    }
  */

}



/* ideally - tries to be the number of columns you specify, but has to shink sometimes */
@media screen and (min-width: 800px) {
    .grid.ideally.two-columns {
        grid-template-columns: repeat(2, 1fr) !important;
    }

    .grid.ideally.three-columns,
    .grid.ideally.four-columns {
        grid-template-columns: repeat(3, 1fr) !important;
    }
}

@media screen and (min-width: 1100px) {
    .grid.ideally.two-columns {
        grid-template-columns: repeat(2, 1fr) !important;
    }

    .grid.ideally.three-columns {
        grid-template-columns: repeat(3, 1fr) !important;
    }

    .grid.ideally.four-columns {
        grid-template-columns: repeat(4, 1fr) !important;
    }
}


@media (max-width: 600px) {

    .bento-two-x-two {
        grid-area: span 2 / span 4;
    }

    .bento-three-x-three {
        grid-area: span 2 / span 6;
    }

    .bento-four-x-four {
        grid-area: span 2 / span 6;
    }

    .bento-six-x-six {
        grid-area: span 2 / span 12;
    }

    /* Horizontal rectangles */
    .bento-three-x-two {
        grid-area: span 1 / span 12;
    }

    .bento-four-x-two {
        grid-area: span 1 / span 12;
    }

    .bento-four-x-three {
        grid-area: span 1 / span 12;
    }

    .bento-six-x-two {
        grid-area: span 1 / span 12;
    }

    .bento-six-x-three {
        grid-area: span 1 / span 12;
    }

    .bento-six-x-four {
        grid-area: span 1 / span 12;
    }


    /* Vertical rectangles */
    .bento-two-x-three {
        grid-area: span 2 / span 6;
    }

    .bento-two-x-four {
        grid-area: span 2 / span 6;
    }

    .bento-two-x-six {
        grid-area: span 2 / span 6;
    }

    .bento-three-x-four {
        grid-area: span 2 / span 6;
    }

    .bento-three-x-six {
        grid-area: span 2 / span 6;
    }

    .bento-four-x-six {
        grid-area: span 2 / span 6;
    }





    .bleed-left {
        margin-left: 0vw;
        margin-top: -10vh;
        padding-left: 20vw;
        padding-right: 5vw;
        padding-top: 5vh;
        padding-bottom: 5vh;
        /*        background-color: light-dark(var(--color-motion-grey),var(--color-light));
        color: light-dark(var(--color-light),var(--color-motion-grey));*/
    }

    .bleed-right {
        margin-right: 0vw;
        margin-bottom: -15vh;
        padding-right: 20vw;
        padding-left: 5vw;
        padding-top: 5vh;
        padding-bottom: 10vh;
        /*        background-color: light-dark(var(--color-motion-grey),var(--color-light));
        color: light-dark(var(--color-light),var(--color-motion-grey));*/
    }

    .full-width-split {
        --grid-min-col-size: 375px;
    }

    .full-width-split-bleed > div:last-child {
        padding-left: 20vw !important;
        padding-right: 10vw !important;
    }

    .full-width-split-bleed > div:first-child {
        padding-left: 10vw !important;
        padding-right: 20vw !important;
    }

    /* always - forces the number of columns you specify - use carefully! */
    .grid.always.two-columns {
        grid-template-columns: repeat(2, 1fr) !important;
    }

    .grid.always.three-columns {
        grid-template-columns: repeat(3, 1fr) !important;
    }

    .grid.always.four-columns {
        grid-template-columns: repeat(4, 1fr) !important;
    }
}
